#ifndef _CMENUSELECT_HPP_
#define _CMENUSELECT_HPP_

/*** TrooperEngine DLL Header Files ***/
#include "TrooperEngine.hpp"

/*** Custom Header Files ***/
#include "../cMainMenu.hpp"

namespace Input {
	class cMenuSelect : public InputEngine::cKey
	{
	public:
		cMenuSelect( SDL_Keycode key, MainMenu::cMainMenu** menu );
		//cMenuSelect( const cMenuSelect& copy );
		~cMenuSelect();

		///Funtions
		/* Call if the key is pressed */
		void KeyPress();
		/* Call if the key is up */
		void KeyUP();
		/* Call if the key is down */
		void KeyDown();

	private:
	private:
		MainMenu::cMainMenu** mpp_menu;
	};/// END CLASS DEFINITION cMenuSelect
}/// END NAMESPACE DEFINITION Input
#endif/// END IFNDEF _CMENUSELECT_HPP_